﻿using System;
using System.ComponentModel;

namespace Helios.Models
{
    public class ConfiguratorResult
    {
        public List<RoofResults> RoofResults { get; set; }

        public ConfiguratorResult() {
            RoofResults = new List<RoofResults>();
        }
    }

    public class RoofResults
    {
        public List<PanelPerformance> Panels { get; set; }
        public double RoofAngle { get; set; }
        public double RoofArea { get; set; }

        public RoofResults() {
            Panels = new List<PanelPerformance>();
        }
    }

    public class PanelPerformance
    {
        public double RoofArea { get; set; }
        public double RoofAngle { get; set; }

        public int PowerRequired { get; set; }
        public int MaximumPower { get; set; }

        [DisplayName("Panel Efficiency")]
        public double PanelEfficiency { get; set; }

        [DisplayName("Installation Cost")]
        public double InstallationCost { get; set; }

        [DisplayName("Power Generated in Summer")]
        public double PowerGeneratedSummer { get; set; }

        [DisplayName("Power Generated in Winter")]
        public double PowerGeneratedWinter { get; set; }

        [DisplayName("Meets Energy Requirement")]
        public bool GeneratesRequiredPower { get; set; }

        [DisplayName("Exceeds Max Power")]
        public bool ExceedsMaximumPower { get; set; }

        [DisplayName("Is Within Budget")]
        public bool WithinBudget { get; set; }

        [DisplayName("Cost Per Watt (£ / W)")]
        public double CostPerWatt { get; set; }

        public PanelPerformance() { }
    }
}

